Get available columns for the specified table
get
/data/rest/dataservice/columns/{tableName}
The result contains all available columns for the specified table
Request
Path Parameters
-
tableName(required): string
The table name
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
API success
Root Schema : List<MDColumnRO>
Type:
arrayTitle:
Show Source
List<MDColumnRO>-
Array of:
object MDColumnRO
Title:
MDColumnRO
Nested Schema : MDColumnRO
Type:
objectTitle:
Show Source
MDColumnRO-
columnName: string
The column name
-
dataType: string
The data type
-
displayName: string
The user friendly column name
-
fkTableName: string
The foreign key table name if it is a foreign key column
-
isFK: boolean
If the column is the foreign key
-
isPK: boolean
If the column is the primary key
-
tableName: string
The database table name
-
tableType: string
Allowed Values:
[ "STANDARD" ]The table type
403 Response
You do not have access to the resource.
404 Response
The table does not exist